import { PageResult, PageParams } from './common';

export interface TeachingListFilter {
  name: string;
  code: string;
  enable: boolean;
}
export type TeachingListPageParam = PageParams<TeachingListFilter>;

export interface TeachingItem {
  id: number;
  name: string;
  code: string;
  cityId: number;
  cityName: string;
  capacity: number;
  enable: boolean;
}

export type TeachingListPageRes = PageResult<TeachingItem>;

export interface TeachingUpdateParams {
  id?: number;
  name: string;
  code: string;
  cityId: number;
  capacity: number;
  enable?: boolean;
}
